Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
System.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2011 Raritan Inc. All rights reserved.
4 */
5
6/**
7 * Low-Level system access methods
8 */
9module sys {
10
11 /** System access methods */
12 interface System {
13
14 /**
15 * Check whether a daemon process is running.
16 *
17 * @param name Daemon name
18 *
19 * @return \c true if the daemon process is running
20 */
21 boolean isDaemonRunning(in string name);
22
23 /**
24 * Restart a daemon process.
25 *
26 * @param name Daemon name
27 */
28 void restartDaemon(in string name);
29
30 };
31
32}
sys::System
System access methods.
Definition System.idl:12
sys::System::isDaemonRunning
boolean isDaemonRunning(in string name)
Check whether a daemon process is running.
sys::System::restartDaemon
void restartDaemon(in string name)
Restart a daemon process.
sys
Low-Level system access methods.
Definition System.idl:9